Last Comment Bug 233533 - flash communication (scripting - fscommand) fails after upgrading to a new seporate mozilla version (or FireFox)
: flash communication (scripting - fscommand) fails after upgrading to a new se...
Status: NEW
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 1 vote (vote)
: ---
Assigned To: Johnny Stenback (:jst, jst@mozilla.com)
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
http://www.macromedia.com/support/fla...
: 255808 277319 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-09 08:57 PST by Kevin Newman
Modified: 2009-08-23 12:13 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kevin Newman 2004-02-09 08:57:34 PST
User-Agent:       
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6) Gecko/20040206 Firefox/0.8

If you have a browser installed (like Mozilla 1.6) and have flash player
installed (both flashplayer.xpt and NPSWF32.dll in components and plugins
respectively) then install a newer version of mozilla or Firebird/Firefox etc,
in a seporate directory, the new browser will use the flash plugin, but will not
use the flashplayer.xpt component.

I'm not sure if this is a problem with the installer, or if Mozilla is actually
getting the plugin from another directory, but the the xpt component, but the
effect is the same - flash communication (scripting and fscommand) does not
work, until you manually install all the necessary files.

Reproducible: Always
Steps to Reproduce:
1. install a version of Mozilla and Flash player 7
2. download and install another version of Mozilla in a seporate directory
(install Mozilla 1.6 first then flash player 7 then Mozilla FireFox for example)
3. Turn on the first installed browser (Mozilla 1.6)
4. go to
http://www.macromedia.com/support/flash/ts/documents/java_script_comm/javascript_to_flash.html
and see that flash communication works
5. close that Mozilla version.
6. Open the new Mozilla version and go to
http://www.macromedia.com/support/flash/ts/documents/java_script_comm/javascript_to_flash.html
and see that flash communication does not work.

Note: I tried this on a brand spanking new Windows XP install - I don't know if
uninstalling Mozilla and reinstalling Mozilla has the same effect (probably it
would if you could remove all registry entries.)
Actual Results:  
Flash communication in first installed Mozilla works, flash communication in
second installed Mozilla (or maybe any mozilla that is installed after the flash
plugin) doesn't work until you manually install the flash player component and
plugin.

Expected Results:  
I'm guessing that the Mozilla version that installed second knows some how that
the other mozilla version has the flash player installed, and is using the
plugin from that instalation. It doesn't seem to be using the flashplayer.xpt
component from the other installation though. It probably should.

On my system I have the most recent versions of mozillas 1.0 through 1.6 and
Firebird 0.7 and the most recent release versions of Opera 5.0 through 7.23 and
various older Netscape versions (I installed them all and then installed the
flash player using the flash installer from macromedia.com). Then when the new
FireFox 0.8 was released I used the installer to install that, and now the flash
communication does not work. This is a brand new system (less than two weeks old).

I have noticed this problem in the past when upgrading to new versions of
mozilla from old versions and whatnot, so this isn't an isolated example.

I'm pretty sure that this is reproducible everytime (I'm not sure how to go
about reproducing it - except to wait for a new release, and install that, then
test the communication, uninstalling then reinstalling mozilla into the same
directory may not have the same effect)


You can check using flash to javascript communication (fscommand) here:
http://www.macromedia.com/support/flash/ts/documents/java_script_comm/flash_to_javascript.html

You can check using javascript to flash (flash scripting) here:
http://www.macromedia.com/support/flash/ts/documents/java_script_comm/javascript_to_flash.html
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2004-02-09 11:39:12 PST
> or if Mozilla is actually getting the plugin from another directory

That's what's going on, as far a I recall.... we search for plugins in various
places.  But the xpt needs to be explicitly placed in components.
Comment 2 Kevin Newman 2004-02-09 14:03:07 PST
Is it possible to get Mozilla to also search for the xpt, or don't search at all
if the flash player is not installed?

This problem had me scratching my head for weeks. I couldn't figure out why it
would work sometimes on some machines but not on others. Even after I
redownloaded and ran the Flash setup file, it still would not work. It would be
great if this could be solved in future versions, so that unsuspecting users and
testers are never baffled again. :-)
Comment 3 Matthias Versen [:Matti] 2004-02-10 03:25:33 PST
You can see the plugin path if you enable :
user_pref("plugin.expose_full_path", true);
with an entry in teh user.js or via about:config

Comment 4 Bob Clary [:bc:] 2004-04-24 20:21:07 PDT
confirm this. I am not sure how big of an issue for "normal" people this would
be though. Seems to me that if we are searching for the plugin we should search
for the xpt as well.
Comment 5 Kevin Newman 2004-07-14 21:13:57 PDT
Was there any word on this? "Normal" users might start running into this problem
if they start switching from Netscape, or Mozilla proper to Mozilla FireFox...
Comment 6 Kevin Newman 2004-08-07 20:28:40 PDT
I just wanted to mention this problem before 1.0 is reached since I've run into
the problem again.

Any user that downloads FireFox 1.0 is going to have this problem if they are
switching from another version of Mozilla or Netscape, so it might be worth some
consideration before 1.0 is reached.

How hard would it be to fix this anyway? Isn't it just a matter of searching for
the xpt file as well as for the plugin?

If it's easy, there is no reason this should not be done for 1.0 .
Comment 7 Kevin Newman 2004-09-18 09:43:20 PDT
Is bug 255808 a possible dupe of this bug?

BTW, any chance of getting this in Firefox 1.0? Now that Firefox is competeing
with Mozilla Suite and Netscape, you may get more users running into this problem..
Comment 8 chris hofmann 2004-09-28 18:39:17 PDT
jst, can you have a look?
Comment 9 Kevin Newman 2005-02-02 10:36:37 PST
Bugs 277319, 210387 and maybe 248599 are possible duplicates of this bug.
Comment 10 judah 2005-02-03 14:19:56 PST
Just as you predicted I ran into this bug when I switched from using netscape to
using firefox. I did not have any warning the Flash wasn't working completely. I
posted the bug 277319. Users and developers will have no idea why some Flash
sites work and some won't. 
What it sounds like needs to be done is when searching for the flash plugin also
search for the flashplayer.xpt file. If both are NOT found then deny loading
flash and present the user with the Install Plugin messsage. 
Comment 11 Henrik Gemal 2005-06-29 10:22:33 PDT
dupe of bug 219471 ?
Comment 12 Kevin Newman 2005-06-29 11:22:20 PDT
I'd say that bug 219471 is either a dupe of this bug, or depends on this bug.
Comment 13 Kevin Newman 2005-07-20 19:09:44 PDT
Is there any chance that this will be fixed for 1.1?
Comment 14 Kevin Newman 2005-08-14 21:41:03 PDT
This seems to have been fixed with Flash player 8 (beta). If you install a new
mozilla app in a seporate location, it will find and use Flash Player 8, will
not copy the flashplayer.xpt file, but fscommand and flash scripting both work
anyway.

I guess Macromedia fixed this on their end :-)
Comment 15 Kevin Newman 2005-08-15 16:38:38 PDT
Yet another bug like this one has been found - bug 233533
Comment 16 Wayne Mery (:wsmwk, NI for questions) 2007-03-03 05:03:16 PST
*** Bug 255808 has been marked as a duplicate of this bug. ***
Comment 17 Wayne Mery (:wsmwk, NI for questions) 2007-03-03 07:16:16 PST
*** Bug 277319 has been marked as a duplicate of this bug. ***
Comment 18 Wayne Mery (:wsmwk, NI for questions) 2007-03-03 07:40:19 PST
*** Bug 267599 has been marked as a duplicate of this bug. ***
Comment 19 Kevin Newman 2007-07-11 10:11:38 PDT
I just updated bug 284057 (I probably meant to reference this bug in Comment #15), but I'll reiterate here for convenience.

Unless there is some warning about using external support files (like flashplayer.xpt) in the plugin development docs, then this is a bug in the way that Mozilla searches for and copies installed plugins from other installed browsers - when Mozilla copies the plugins, it does not copy all possible support files.

The fixes are:

1. Find some way to copy the external support files (maybe it isn't possible).

2. Don't search and copy plugins at all, if you can't be sure you are getting everything (which means users will have to manually install, or be prompted by Mozilla, and as a bonus, will get the most recent version of whatever plugin).

3. Add bright red blinking text to various places in the plugin development docs that warn plugin developers that their plugins may not function properly if they distribute and use external support files with their plugins.


This bug was originally about missing functionality in Flash Player. That missing functionality has been fixed by Adobe (then Macromedia) with Flash Player 8+.

The above describes the more general problem that this bug may have dug up, but this bug may still be valid specifically as related to Flash on platforms where Flash Player 7 is the latest version (some PPC Linux versions maybe?).

Note You need to log in before you can comment on or make changes to this bug.